Metadata

## Typedefs

typedef gavl_dictionary_t | bgav_metadata_t
| Opaque metadata container. More...

## Functions

BGAV_PUBLIC const char * | bgav_metadata_get_author (const bgav_metadata_t *metadata)
| Get the author (or composer) of the track. More...
BGAV_PUBLIC const char * | bgav_metadata_get_title (const bgav_metadata_t *metadata)
| Get the title of the track. More...
BGAV_PUBLIC const char * | bgav_metadata_get_comment (const bgav_metadata_t *metadata)
| Get an additional comment of the track. More...
BGAV_PUBLIC const char * | bgav_metadata_get_copyright (const bgav_metadata_t *metadata)
| Get the copyright notice of the track. More...
BGAV_PUBLIC const char * | bgav_metadata_get_album (const bgav_metadata_t *metadata)
| Get the album this track comes from. More...
BGAV_PUBLIC const char * | bgav_metadata_get_artist (const bgav_metadata_t *metadata)
| Get the artist (or performer) of this track. More...
BGAV_PUBLIC const char * | bgav_metadata_get_albumartist (const bgav_metadata_t *metadata)
| Get the album artist of this track. More...
BGAV_PUBLIC const char * | bgav_metadata_get_genre (const bgav_metadata_t *metadata)
| Get the genre this track belongs to. More...
BGAV_PUBLIC const char * | bgav_metadata_get_date (const bgav_metadata_t *metadata)
| Get the date of the recording. More...
BGAV_PUBLIC int | bgav_metadata_get_track (const bgav_metadata_t *metadata)
| Get the track index. More...

## Detailed Description

## Typedef Documentation

## bgav_metadata_t

typedef gavl_dictionary_t bgav_metadata_t

Opaque metadata container.

This structure is returned by bgav_get_metadata

## Function Documentation

## bgav_metadata_get_author()

BGAV_PUBLIC const char* bgav_metadata_get_author | ( | const bgav_metadata_t * | metadata | ) |

Get the author (or composer) of the track.

Parameters

  metadata | Metadata container

Returns
  The author of the track in UTF-8 or NULL

## bgav_metadata_get_title()

BGAV_PUBLIC const char* bgav_metadata_get_title | ( | const bgav_metadata_t * | metadata | ) |

Get the title of the track.

Parameters

  metadata | Metadata container

Returns
  The title of the track in UTF-8 or NULL

## bgav_metadata_get_comment()

BGAV_PUBLIC const char* bgav_metadata_get_comment | ( | const bgav_metadata_t * | metadata | ) |

Get an additional comment of the track.

Parameters

  metadata | Metadata container

Returns
  The comment in UTF-8 or NULL

## bgav_metadata_get_copyright()

BGAV_PUBLIC const char* bgav_metadata_get_copyright | ( | const bgav_metadata_t * | metadata | ) |

Get the copyright notice of the track.

Parameters

  metadata | Metadata container

Returns
  The copyright notice in UTF-8 or NULL

## bgav_metadata_get_album()

BGAV_PUBLIC const char* bgav_metadata_get_album | ( | const bgav_metadata_t * | metadata | ) |

Get the album this track comes from.

Parameters

  metadata | Metadata container

Returns
  The album in UTF-8 or NULL

## bgav_metadata_get_artist()

BGAV_PUBLIC const char* bgav_metadata_get_artist | ( | const bgav_metadata_t * | metadata | ) |

Get the artist (or performer) of this track.

Parameters

  metadata | Metadata container

Returns
  The artist in UTF-8 or NULL

## bgav_metadata_get_albumartist()

BGAV_PUBLIC const char* bgav_metadata_get_albumartist | ( | const bgav_metadata_t * | metadata | ) |

Get the album artist of this track.

Parameters

  metadata | Metadata container

Returns
  The album artist in UTF-8 or NULL

## bgav_metadata_get_genre()

BGAV_PUBLIC const char* bgav_metadata_get_genre | ( | const bgav_metadata_t * | metadata | ) |

Get the genre this track belongs to.

Parameters

  metadata | Metadata container

Returns
  The genre in UTF-8 or NULL

## bgav_metadata_get_date()

BGAV_PUBLIC const char* bgav_metadata_get_date | ( | const bgav_metadata_t * | metadata | ) |

Get the date of the recording.

Parameters

  metadata | Metadata container

Returns
  The date in UTF-8 or NULL

## bgav_metadata_get_track()

BGAV_PUBLIC int bgav_metadata_get_track | ( | const bgav_metadata_t * | metadata | ) |

Get the track index.

Parameters

  metadata | Metadata container

Returns
  The track index or 0